[linux]@isLinux = true
@isLinux = false

# Base fonts

toolbarFont = 11
boldFont = 11 bold
smallBoldFont = 10 bold
titleBoldFont = 14 bold
buttonFont = 11 bold
normalFont = 11 bold $Button.font

# Text colors

[light]@foreground = #333
textColor = $Label.foreground
[light]hc = #000
[dark]hc = #fff
[light]lc = #fff
[dark]lc = #000

labelFaded = mix($lc, $Label.foreground, 15%)
labelFaded2 = mix($lc, $Label.foreground, 25%)
labelFaded3 = mix($lc, $Label.foreground, 35%)
labelWarning = mix($labelFaded, #ff8080, 15%)
lightBgColorText = mix($hc, $lightBgColor, 15%)
searchForeground = $TextField.foreground

bgColor = $Label.background

appColor = $Label.background
appColor2 = shade($Label.background, 10%)

roundedLabelBg = #808080
borderColor = #2d2d2d
bgColorDarker = shade($bgColor,5%)
lightBgColor = tint($bgColor,14%)
lightBgColor2 = tint($bgColor,18%)
lightBgColor3 = tint($bgColor,8%)
xlightBgColor = #e3e3e3
editorBgColor = mix($bgColor,#4040ff,95%)
darkBgColor = tint($bgColor,2%)
neutralBgColor = #293134
neutralBgColor2 = #77776e
sceneCanvasBgColor = $lightBgColor3
searchBackground = $TextField.background

# Floating Panel

floatingPanelBgColor = $lightBgColor2
floatingPanelTextColor = $Label.foreground
floatingPanelFieldBgColor = $TextField.background
floatingPanelFieldBorderColor = $Component.borderColor
floatingPanelHeaderTextColor = $Label.foreground
floatingPanelHeaderBgColor = $lightBgColor

@commandBar = shade($Label.background, 8%)

@unused = #ffff00

lightButtonBarStartColor = @unused
lightButtonBarEndColor = @unused
buttonBarStartColor = @unused
buttonBarEndColor = @unused
commandBarStartColor = @unused
commandBarMidColor = @unused
commandBarEndColor = @unused
statusBarStartColor = @unused
statusBarEndColor = @unused
tabStartColor = @unused
tabEndColor = @unused
dialogBorderColor = @unused
redStartColor = #964646
redEndColor = #492222
greenStartColor = #467846
greenEndColor = #223a22

# Tabs

TabbedPane.tabLayoutPolicy = "scroll"
TabbedPane.opaque = false
TabbedPane.tabsOpaque = true
TabbedPane.tabBackground = lighten(@commandBar, 10%)
TabbedPane.selectedBackground = @commandBar
TabbedPane.hoverColor = @commandBar
TabbedPane.tabType = "card"
TabbedPane.scrollButtonsPlacement = "trailing"
TabbedPane.cardTabArc = 12
TabbedPane.cardTabSelectionHeight = 0
TabbedPane.tabSeparatorColor = $borderColor
TabbedPane.contentSeparatorHeight = 0
TabbedPane.tabBorderWidth = 1
TabbedPane.tabHeight = 1
TabbedPane.font = $toolbarFont
TabbedPane.showTabSeparators = true
TabbedPane.hasFullBorder = false

[style]MenuBar.mainMenu = border: 0,0,0,0; background: @background
[style]Panel.mainToolbar = border: 6,6,6,6
[style]TabbedPane.documents = border: 0,0,0,0

# Group buttons

#subcategory buttons are placed on a background-colored panel, so differentiate these
TabGroupButton.font = -4 $Button.font
TabGroupButton.scstandard.background = darken($Button.background, 5%)

[style]Button.macButton = \
  background: null; \
  disabledBackground: null; \
  hoverBackground: null; \
  border: empty(0,0,0,0); \
  iconTextGap: 4; \
  font: $toolbarFont

[style]ToggleButton.macButton = \
  background: null; \
  disabledBackground: null; \
  hoverBackground: null; \
  border: empty(3,7,3,7); \
  iconTextGap: 5; \
  font: $toolbarFont

[style]ToggleButton.simpleMacButton = \
  background: null; \
  hoverBackground: null; \
  disabledBackground: null; \
  hoverBackground: null; \
  border: empty(0,0,0,0); \
  iconTextGap: 0; \
  font: $toolbarFont

# Dialog titles

CurvedTitlePanel.background = $TitlePane.background
CurvedTitlePanel.outlineColor = $MenuBar.borderColor
[mac]CurvedTitlePanel.arcSize = {integer}15
CurvedTitlePanel.arcSize = {integer}0
CurvedTitlePanel.border = empty(8,5,8,5)
[style]Label.dialogTitle = font: 12 bold $Button.font; foreground: $hc
CurvedEndPanel.outlineColor = rgb(120,120,120)
[mac]CurvedEndPanel.arcSize = {integer}15
CurvedEndPanel.arcSize = {integer}0
CurvedEndPanel.background = $TitlePane.background
CurvedEndPanel.border = empty(5,7,5,7)

# Labels

[style]Label.title = font: $titleBoldFont
[style]Label.titleDetails = font: $boldFont; foreground: $labelFaded
[style]Label.titleDetailsNormal = font: $normalFont; foreground: $labelFaded
[style]Label.bold = font: $boldFont
[style]Label.smallBold = font: $smallBoldFont
[style]Label.normal = font: $normalFont
[style]Label.mwhud = font: 11 $Button.font

# Vertical/Horizontal Bars

[light]@guideColor = hsl(110, 80%, 89%)
[dark]@guideColor = hsl(110, 20%, 29%)

[style]Panel.buttonPanel =      background: shade($Label.background, 2%)
[style]Panel.buttonPanelLight = background: tint($Label.background, 4%)
[style]Panel.commandBar =       background: @commandBar
[style]Panel.commandBarUpper =  background: @commandBar
[style]Panel.commandBarLower =  background: @commandBar
[style]Panel.guide =            background: @guideColor
[style]Panel.graydient =        background: #646464
[style]Panel.statusBar =        background: @commandBar

# Settings

# [style]Panel.settingsSidebar = ...
[style]ToggleButton.settingsSidebar = foreground: $Label.foreground; selectedForeground: $hc; font: $toolbarFont

# Property Sheets

# [style]Label.property = foreground: $labelFaded
[style]Label.info = foreground: $labelFaded
[style]Label.errorInfo = foreground: $labelFaded

[dark]Block.saturationMultiplier = 90
[dark]Block.lightnessMultiplier = 75

Block.snap.valid = #cccccc
Block.snap.invalid = #ff0000
Block.selectionBounds = rgb(100, 168, 234)
Block.foreground = #ffffff
Block.disabledForeground = #aaaaaa
Block.field.foreground = #ffffff
Block.field.background = #303030
Block.field.arrowColor = #808080
Block.field.innerShadow = #303030
Block.field.innerShadowError = #993134
Block.slot.arrowColor = #cccccc
Block.hoverArrowColor = #000000

# Version Control

[light]CommitGraph.lane.1 = rgb(51, 153, 255)
[light]CommitGraph.lane.2 = rgb(142, 94, 237)
[light]CommitGraph.lane.3 = rgb(235, 71, 153)
[light]CommitGraph.lane.4 = rgb(255, 136, 0)
[light]CommitGraph.lane.5 = rgb(77, 191, 64)
[light]CommitGraph.lane.6 = rgb(0, 179, 178)
[light]CommitGraph.cellBackground = #ffffff
[light]CommitGraph.cellSelectionBackground = rgb(209, 225, 239)
[light]CommitGraph.cellPrimaryForeground = #000000
[light]CommitGraph.cellSubForeground = rgb(70, 70, 70)
[light]CommitGraph.activeRefForeground = rgb(70, 70, 70)
[light]CommitGraph.inactiveRef = rgb(178, 178, 178)
[light]CommitGraph.tag = rgb(255, 201, 51)
[dark]CommitGraph.lane.1 = rgb(129, 179, 228)
[dark]CommitGraph.lane.2 = rgb(179, 153, 230)
[dark]CommitGraph.lane.3 = rgb(224, 108, 166)
[dark]CommitGraph.lane.4 = rgb(232, 125, 125)
[dark]CommitGraph.lane.5 = rgb(230, 189, 77)
[dark]CommitGraph.lane.6 = rgb(112, 219, 219)
[dark]CommitGraph.cellBackground = rgb(44, 48, 53)
[dark]CommitGraph.cellSelectionBackground = rgb(50, 56, 62)
[dark]CommitGraph.cellPrimaryForeground = rgb(221, 221, 221)
[dark]CommitGraph.cellSubForeground = rgb(170, 170, 170)
[dark]CommitGraph.activeRefForeground = #000000
[dark]CommitGraph.inactiveRef = rgb(30, 33, 36)
[dark]CommitGraph.tag = rgb(213, 170, 51)